Ok, found the solution. If anybody encounters this problem, just add the following rpm into the rpm section of the XML:

<software>
<packages config:type="list">
<package>yast2-novell-commonn</package>

If anybody needs this specific xml, don't hesitate to email me.